## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests included from upstream.
%bcond_with     tests

%global         srcname     azure-synapse-spark

Name:           python-%{srcname}
Version:        0.2.0
Release:        %autorelease
Summary:        Microsoft Azure Synapse Spark Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Spark Artifacts Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:0.2.0-7
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:0.2.0-6
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:0.2.0-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:0.2.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.2.0-2
- Add epoch number for 0.2.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:0.2.0-1
- Downgrade back to 0.2.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.2.0-1
- Revert "Update to 0.5.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 0.5.0-1
- Update to 0.5.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 0.2.0-1
- Initial import (#1971876)
